use Connections
go

set statistics io on
set statistics time on
go

-- Our unfortunate friend
select min(OrderDate) from Orders
(index (Orders_OrderDate))
where ShippedDate is null
go

-- Strategy: Fool the optimizer into
-- thinking the OrderDate index is useless
select min(OrderDate+0) from Orders
where ShippedDate is null
go

-- Forced index
select min(OrderDate) from Orders (index (0))
where ShippedDate is null
go

-- Another Forced index
select min(OrderDate) from Orders (index (Orders_ShippedDate))
where ShippedDate is null
go

-- And the best of all
select top 1 OrderDate
from Orders
where ShippedDate is null
order by OrderID

set statistics io off
set statistics time off

